Subject: [TR] any TR7 folks put on a clyinder head using ARP bolt kit

From: Q <[email-masked]>
Date: Fri, 18 Oct 2019 12:23:29 -0700

When I did my Stag I used the recommended TR7 torque which if I recall 
correctly is 85 Footpounds with the supplied lube. Used the supplied 
washers as they are special for the champher under the heads of the bolts.

Edward Hamer

Petaluma CA

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive